Page MenuHomeFreeBSD

Update of FPGA toolchain for iCE40 FPGAs.
ClosedPublic

Authored by jsorocil_gmail.com on Oct 21 2018, 9:43 PM.

Details

Summary
  • yosys updated to 0.8 version
  • arachne-pnr update to the newest git version (no need to have mounted /proc on FreeBSD)
  • icestorm update to the newest git version
  • lattice-ice40-tools metaport version update to g20181021

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Update of FPGA toolchain for iCE40 FPGAs.Update of FPGA toolchain for iCE40 FPGAs.

  • yosys updated to 0.8 version
  • arachne-pnr update to the newest git version (no need to have mounted /proc on FreeBSD)
  • icestorm update to the newest git version
  • lattice-ice40-tools metaport version update to g20181021
rigoletto added inline comments.
devel/icestorm/Makefile
22 ↗(On Diff #49418)

You can use the short version. :-)

tobik accepted this revision.Oct 22 2018, 5:41 PM
tobik added a subscriber: tobik.

LGTM except for the small problem in devel/yosys.

devel/icestorm/Makefile
22 ↗(On Diff #49418)

What's the benefit? There is nothing wrong with it and changing them is just busy work.

If you shorten them at least make them longer than 7 chars to prevent collisions. But I'd just leave them as is.

devel/yosys/Makefile
27 ↗(On Diff #49418)

If the upstream repo has a 0.8 tag now that matches 5706e90802fdf51a476e769790f6b5b526c57572 then this line can and should be removed.

This revision is now accepted and ready to land.Oct 22 2018, 5:41 PM
rigoletto added inline comments.Oct 22 2018, 6:15 PM
devel/icestorm/Makefile
22 ↗(On Diff #49418)

I was not criticizing but informing. ;-)

  • Update of FPGA toolchain for iCE40 FPGAs.
This revision now requires review to proceed.Oct 23 2018, 7:14 AM
jsorocil_gmail.com marked an inline comment as done.Oct 23 2018, 7:17 AM
jsorocil_gmail.com added inline comments.
devel/yosys/Makefile
27 ↗(On Diff #49418)

If line is removed then fetch command won't work. So, tag name was used here.

tobik added inline comments.Oct 23 2018, 8:59 AM
devel/yosys/Makefile
27 ↗(On Diff #49418)

Set DISTVERSIONPREFIX=yosys- instead.

jsorocil_gmail.com marked an inline comment as done.Oct 23 2018, 3:51 PM
jsorocil_gmail.com updated this revision to Diff 49511.

Update of FPGA toolchain for iCE40 FPGAs

tobik accepted this revision.Oct 23 2018, 3:53 PM
This revision is now accepted and ready to land.Oct 23 2018, 3:53 PM

Do I need to do something else or this will be merged one day?

tobik added a comment.Nov 7 2018, 9:59 PM

Do I need to do something else or this will be merged one day?

I will be merged when a committer finds time to do QA on it. It would be good if you open a PR on https://bugs.freebsd.org for this too (if you haven't already) to get it into the patch queue.

This revision was automatically updated to reflect the committed changes.